%define version 1.6.1
# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}


Summary: A front end for testing other programs.
Name: dejagnu
Version: %{version}
Release: 1
Copyright: GPL
Source: ftp://ftp.gnu.org/gnu/dejagnu/snapshots/dejagnu-%{version}.tar.gz
Prefix: %{_prefix}
Group: Development/Tools
BuildRequires: tcl-devel >= 8.6.6
BuildRequires: expect >= 5.21
Requires: tcl >= 8.6.6
Requires: expect >= 5.21
BuildRoot: /tmp/%{name}-root
%ifarch ia64
%define DEFCCIA cc
%define DEFCC %{DEFCCIA}
%else
# Until the dependency on -Md gets fixed
%define DEFCC gcc
%endif

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
%setup -q -n dejagnu-%{version}

#Duplicate source for 32 & 64 bits
rm -rf /tmp/%{name}-%{version}-32bit
mkdir  /tmp/%{name}-%{version}-32bit
mv *   /tmp/%{name}-%{version}-32bit
mkdir 32bit
mv     /tmp/%{name}-%{version}-32bit/* 32bit
rm -rf /tmp/%{name}-%{version}-32bit
mkdir 64bit
cp -rp 32bit/* 64bit/

%build
#First build the 64bit version

cd 64bit
export PATH="/opt/freeware/bin:$PATH"
export CC="gcc -maix64"
export OBJECT_MODE=64
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"
./configure -v \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}64 
	
make


if [ "%{do_tests}" == 1 ]
then
    (gmake -k check || true)
fi

#Now build 32-bit version
cd ../32bit
export CC="gcc -maix32 -D_LARGE_FILES"
export OBJECT_MODE=32
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
./configure -v \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

make


if [ "%{do_tests}" == 1 ]
then
    (gmake -k check || true)
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}
mkdir -p $RPM_BUILD_ROOT%{prefix}/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/dejagnu
mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/dejagnu-%{version}

cd 64bit
export AR="/usr/bin/ar -X64"
export OBJECT_MODE=64
make prefix=$RPM_BUILD_ROOT%{prefix} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
(
  cd ${RPM_BUILD_ROOT}%{_bindir}
  for f in *
  do
    mv ${f} ${f}_64
  done
)

cd ../32bit
export AR="/usr/bin/ar -X32"
export OBJECT_MODE=32
make prefix=$RPM_BUILD_ROOT%{prefix} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
(
  cd ${RPM_BUILD_ROOT}%{_bindir}
  for f in runtest 
  do
    mv ${f} ${f}_32
  done
)

# Make 64bit executable as default
(
  cd ${RPM_BUILD_ROOT}%{_bindir}
  for f in runtest
  do
    ln -sf ${f}_64 ${f}
  done
)
(
 cd $RPM_BUILD_ROOT
 for dir in bin doc include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
 done
)


%files
%defattr(-,root,root)
%doc 32bit/COPYING 32bit/NEWS 32bit/README 32bit/AUTHORS 32bit/INSTALL 32bit/ChangeLog 32bit/doc/overview.sgml
%{prefix}/bin/*
%{prefix}/include/dejagnu.h
%{prefix}/share/dejagnu/*
/usr/bin/*
/usr/include/dejagnu.h
#/usr/share/dejagnu/*

%changelog
* Wed Nov 07 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> -1.6.1-1
- Updated to 1.6.1

* Thu Oct 04 2001 David Clissold <cliss@austin.ibm.com>
-  Update to version 1.4.2

* Fri Jun 22 2001 Marc Stephenson <marc@austin.ibm.com>
-  Adapted for AIX Toolbox

* Wed Apr 11 2001 Rob Savoye <rob@welcomehome.org>
- Added installing dejagnu.h.
- Install the ps and pdf formatted docs too

* Wed Feb 21 2001 Rob Savoye <rob@welcomehome.org>
- Fixed Requires line, and changed the URL to the new ftp site.

* Sun Oct 31 1999 Rob Savoye <rob@welcomehome.org>
- updated to the latest snapshot
- added doc files
- added the site.exp config file

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- updated to 19990628
- updated patches as needed
- added %defattr in files section

* Wed Mar 10 1999 Jeff Johnson <jbj@redhat.com>
- add alpha expect patch (#989)
- use %configure

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- Update to 19981215.

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-10-29.

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-05-28.

* Sun Feb  1 1998 Jeff Johnson <jbj@jbj.org>
- Create.
 
